# packet (SnapPea triangulation)

## Name

packet (SnapPea triangulation) — A SnapPea triangulation packet

## Synopsis

Content Model

    packet ::= (snappea,
                tag*, packet*)

Attributes
See the general `packet` element documentation.

## Description

A SnapPea triangulation packet stores a 3-manifold triangulation using SnapPea's text-based file format (instead of Regina's own native format). This is useful when working with a triangulation that originated from SnapPea or SnapPy, since it will preserve all of SnapPea's own internal data (e.g., peripheral curves and fillings).

This packet contains a single `snappea` element, which contains the full contents of a SnapPea data file (using SnapPea's text-based file format).

The roles played by the child `tag` and `packet` elements are described in the general `packet` element documentation.

### Parents

The following elements contain `packet`: `packet`, `reginadata`.

### Children

The following elements occur in `packet` for a SnapPea triangulation packet: `packet`, `snappea`, `tag`.